from parallels.core.utils.message_utils import single_line_message

CANNOT_GET_VDIRS_FOR_DOMAIN = single_line_message("""
	Can't get virtual directories for domain '%s', error is '%s'; skip virtual directories for this domain. Check the
	connection to the control server and make sure that the version of Helm installed there is supported by the
	migrator.
""")
FETCH_DOMAIN_PROPERTIES = single_line_message("""
	Fetch domain properties node for #'%s' domain
""")
FETCH_DOMAINS_INFO = single_line_message("""
	Fetch domain's info for domain '%s'.
""")
FETCH_DOMAIN_PREFERENCES = single_line_message("""
	Fetch domain preferences node for #'%s' domain
""")
CANNOT_GET_DOMAINS_INFO = single_line_message("""
	Can't get domains info, error is '%s'; skip data for all domains. Check the connection to the control server and
	make sure that the version of Helm installed there is supported by the migrator.
""")
FETCH_RESELLERS_INFO_FOR_ACCOUNT = single_line_message("""
	Fetch reseller's info for account '%s'.
""")
FETCH_CLIENTS_INFO_FOR_ACCOUNT = single_line_message("""
	Fetch client's info for account '%s'.
""")
CANNOT_DECRYPT_PASSWORD = single_line_message("""
	Error: can't decrypt the password. Will generate a new password.
""")
FETCH_DOMAINS_COULD_TAKE_LONG_TIME = single_line_message("""
	Fetch domains info from servers. This operation may take a long time.
""")
REMOVE_EXISTING_BACKUP_FILE = single_line_message("""
	Remove previous existing backup file.
""")
FETCH_INFO_FROM_SOURCE_SERVERS = single_line_message("""
	fetch info from source servers
""")
CANNOT_GET_SERVER_NODE_IP_WEB = single_line_message("""
	Can't get server node ip with web content for domain '%s'; skip web content for this domain. Resolve inconsistency
	in the source panel database.
""")
DATA_FILES_FOR_HELM_ALREADY_EXIST = single_line_message("""
	Data files for Helm already exist, skip loading
""")
MAIL_CONTENT_MIGRATION_DISABLED = single_line_message("""
	Mail content migration for subscription '%s' is disabled by user
""")
FETCH_HELM_SERVERS_INFORMATION = single_line_message("""
	Fetch Helm servers information.
""")
CANNOT_GET_ERROR_DOCUMENTS_FOR_DOMAIN = single_line_message("""
	Can't get error documents for domain '%s', error is '%s'; skip error documents for this domain. Check the connection
	to the control server and make sure that the version of Helm installed there is supported by the migrator.
""")
CANNOT_GET_MIME_TYPES_FOR_DOMAIN = single_line_message("""
	Can't get mime types for domain '%s', error is '%s'; skip mime types for this domain. Check the connection to the
	control server and make sure that the version of Helm installed there is supported by the migrator.
""")
CANNOT_GET_DEFAULT_DOCUMENTS_FOR_DOMAIN = single_line_message("""
	Can't get default documents for domain '%s', error is '%s'; skip default documents for this domain. Check the
	connection to the control server and make sure that the version of Helm installed there is supported by the
	migrator.
""")
